2019-09-16 12:37 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0006010Spring engineGeneralpublic2018-07-16 23:17
Reporterraaar 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version104.0 
Target VersionFixed in Version 
Summary0006010: hovering aircraft set to follow air mesh ignore it when idle
Descriptionhovering aircraft set to follow air mesh ignore it when idling even if they're set to hover instead of land

Steps To Reproducegame: metal factions 0.996
map: sky fortress sigma v2

spawn an "aven_atlas" air transport (lands when idle)

move the atlas somewhere over the chasm then let it idle. It'll drop into the fog!

now try with a "sphere_nimbus" (keeps hovering)

same result, when it reaches the destination and becomes idle, it'll drop into the fog as well.
Additional Informationnote that MF has two things that make this easier to test:

- tooltip over ground when no units are selected shows the ground and air mesh heights

- has a gadget that keeps the air mesh high over chasms if the ground is lower than the lowest metal spot
Tagsair
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0019241

Kloot (developer)

Fix 65e10e801c1d113a6d58d5eed5690f2c8f1a1190 committed to develop branch: fix 0006009 0006010, repo: spring changeset id: 10377

~0019244

Kloot (developer)

Fix 490f9a593cbe363801a51092f6ce4bcc0f366e6a committed to maintenance branch: fix 0006009 0006010, repo: spring changeset id: 10382
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2018-07-03 06:01 raaar New Issue
2018-07-03 06:01 raaar Tag Attached: air
2018-07-16 21:07 Kloot Severity major => minor
2018-07-16 23:08 Kloot Changeset attached => spring develop 65e10e80
2018-07-16 23:08 Kloot Note Added: 0019241
2018-07-16 23:08 Kloot Assigned To => Kloot
2018-07-16 23:08 Kloot Status new => resolved
2018-07-16 23:08 Kloot Resolution open => fixed
2018-07-16 23:17 Kloot Changeset attached => spring maintenance 490f9a59
2018-07-16 23:17 Kloot Note Added: 0019244
+Issue History